API reference

Exchange Rates

Knox answers these operations with the same requests and responses as Stripe's API. Authenticate with your secret key, Authorization: Bearer sk_test_..., from your server, and send form-encoded bodies. Test mode only: live processing is currently disabled.

Base URL
https://api.knoxapi.com

List all exchange rates

GET/v1/exchange_rates

[Deprecated] The ExchangeRate APIs are deprecated. Please use the FX Quotes API instead. Returns a list of objects that contain the rates at which foreign currencies are converted to one another. Only shows the currencies for which Stripe supports.

Query parameters

  • ending_beforestring

    A cursor for use in pagination. ending_before is the currency that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with the exchange rate for currency X your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

  • expandarray of strings

    Specifies which fields in the response should be expanded.

  • limitinteger

    A limit on the number of objects to be returned. Limit can range between 1 and total number of supported payout currencies, and the default is the max.

  • starting_afterstring

    A cursor for use in pagination. starting_after is the currency that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with the exchange rate for currency X, your subsequent call can include starting_after=X in order to fetch the next page of the list.

Returns

A list of exchange_rate objects.

GET /v1/exchange_rates
curl -G https://api.knoxapi.com/v1/exchange_rates \
  -H "Authorization: Bearer $KNOX_SECRET_KEY" \
  --data-urlencode limit=3
Response
{
  "object": "list",
  "url": "/v1/exchange_rates",
  "has_more": false,
  "data": [
    {
      "id": "rate_7573642d636164",
      "object": "exchange_rate",
      "rates": {}
    }
  ]
}

Retrieve an exchange rate

GET/v1/exchange_rates/{rate_id}

[Deprecated] The ExchangeRate APIs are deprecated. Please use the FX Quotes API instead. Retrieves the exchange rates from the given currency to every supported currency.

Path parameters

  • rate_idstringRequired

Query parameters

  • expandarray of strings

    Specifies which fields in the response should be expanded.

Returns

The exchange_rate object.

GET /v1/exchange_rates/{rate_id}
curl https://api.knoxapi.com/v1/exchange_rates/rate_id_123 \
  -H "Authorization: Bearer $KNOX_SECRET_KEY"
Response
{
  "id": "rate_7573642d636164",
  "object": "exchange_rate",
  "rates": {}
}

Operations and schemas come from the pinned Stripe OpenAPI specification (MIT); response examples from its fixtures. Nested object definitions and enums are in the complete specification.